///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class ReportRequest {
/*
{
  "postId": 285,
  "postType": "INDIVIDUAL",
  "reasonId": 1
}
*/

  int? postId;
  String? postType;
  int? reasonId;

  ReportRequest({
    this.postId,
    this.postType,
    this.reasonId,
  });
  ReportRequest.fromJson(Map<String, dynamic> json) {
    postId = json['postId']?.toInt();
    postType = json['postType']?.toString();
    reasonId = json['reasonId']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['postId'] = postId;
    data['postType'] = postType;
    data['reasonId'] = reasonId;
    return data;
  }
}
